Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 15-01-2017 17:31:48

jiherbay
Membre
Lieu : sudouest33 sur le A de Atlanti
Distrib. : HL 2.5.x - leap 42.1 - stretch 9
(G)UI : Xfce // KDE
Inscription : 12-07-2016

[ résolu ]installation logiciel ELIE6

Bonjour à toutes et tous
pour commencer je ne sais pas si c'est la bonne r" rubrique " pour mon post ,mais je n'ai pas trouvé " installation de logiciel autres !"  donc :

J'ai téléchargé un logiciel de généalogie ELIE 6 , qui a été adapté par son concepteur pour tourner sous GNU Linux . Mais comment l'installer , lorsque je clique à droite sur l'icône  " ELIE 6 ZIP. exe" pour  " extraire ici "  il me demande  " ouvrir avec Mono Runtime" , je suis allé voir dans synaptic  ,je n'ai pas trouvé  Mono Runtime
Si vous pouvez m'aider à faire cette installation ,même en ligne de commande ,je vous en remercie d'avance
PS je ne suis pas un " Kador " de l'informatique , il faudra me faire la dictée des lignes de commandes love.gif

Dernière modification par jiherbay (05-02-2017 10:50:39)

Hors ligne

#2 15-01-2017 18:21:29

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [ résolu ]installation logiciel ELIE6

Bonjour Jiherbay smile
Est-ce que tu veux parler de ce logiciel Elie 6 ?
Si c'est bien ça, il n'est disponible que pour windows
D'ailleurs tu as téléchargé un fichier .exe qui est un exécutable pour windows pas de .deb pour debian.
Tu peux essayer de l'installer en utilisant playonlinux ou wine
J'ai retrouvé sur le wiki d'handylinux un tuto pour playonlinux
https://handylinux.org/wiki/doku.php/fr/playonlinux
Si je me souviens bien Dyp le conseillait car il permet de désinstaller plus "facilement et proprement" les logiciels.

Edit : si tu préfères wine. Il y a un tutoriel ici
https://wiki.debian.org/fr/Wine

Hors ligne

#3 15-01-2017 18:57:45

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Buster/Sid/Rc-Buggy
Noyau : Linux (≥ 4.12)
(G)UI : i3-wm (≥ 4.13)
Inscription : 07-07-2008
Site Web

Re : [ résolu ]installation logiciel ELIE6

@chalu: en fait, un .exe n'est pas forcément un logiciel qui ne tourne que sous Windows, cela peut également être un logiciel au format .Net/Mono, qui peut s'exécuter sous Linux pour peu que l'interpréteur de bytecode mono soit présent avec les bonnes dépendances.

@jiherbay: je ne suis pas expert en mono mais tu peux déjà commencer par faire un

apt install mono-runtime


puis tenter de lancer le logiciel dans un terminal.

chmod +x "ELIE 6 ZIP.exe"
./ELIE\ 6\ ZIP.exe
 


captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#4 15-01-2017 20:07:38

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [ résolu ]installation logiciel ELIE6

J'apprends tous les jours wink
Du coup il devrait le dire sur son site car le développeur du logiciel ne parle que de Windows de XP a win10 hmm
Édit : je viens de trouver ça dans la Faq sous réserve que le lien de mon précédent message soit bien celui du logiciel téléchargé par Jiherbay

Est-ce que ELIE fonctionne sous LINUX ?

Non, ELIE ne fonctionne que sous Windows.
Cependant certains de nos utilisateurs ont réussi à le faire fonctionner sous Ubuntu ou Wine qui sont des émulateurs Windows.
Une version Linux obligerait à développer un autre logiciel, et nous n'en n'avons ni les moyens techniques, ni les moyens financiers.

Hors ligne

#5 15-01-2017 20:35:59

jiherbay
Membre
Lieu : sudouest33 sur le A de Atlanti
Distrib. : HL 2.5.x - leap 42.1 - stretch 9
(G)UI : Xfce // KDE
Inscription : 12-07-2016

Re : [ résolu ]installation logiciel ELIE6

Bonsoir
Merci pour vos réponses
Chalu , effectivement il est dit que le logiciel ne fonctionne que sous win ,mais sur l'installation que j'ai faite ce matin de la V.6 il y avait une petite case à cocher  , de mémoire : " pour utiliser avec Linux " . La doc ne parle encore que de la V5 ,donc un peu obsolète  ( le développeur  est une petite structure avec probablement peu de temps pour faire les MàJ de la doc )
Je l'avais déjà fait fonctionner sous HANDY v.1x ( avec l'aide de Dyp ,déjà " à l'époque " ),mais il manquait une partie des textes dans certaines fenêtres ( et j'ai oublié comment j'avais fait et je ne retrouve plus non plus sur le forum de la V.1.x ) . C'est dommage qu'il n'ait pas développé sous python
Captnfab , je vais suivre tes instructions pour tenter une installation . Je reviendrai dire comment cela s'est passé
D'ici là bonne appe

Dernière modification par jiherbay (15-01-2017 20:37:25)

Hors ligne

#6 15-01-2017 20:43:16

jiherbay
Membre
Lieu : sudouest33 sur le A de Atlanti
Distrib. : HL 2.5.x - leap 42.1 - stretch 9
(G)UI : Xfce // KDE
Inscription : 12-07-2016

Re : [ résolu ]installation logiciel ELIE6

suite

 jenrem@handylinux ~/Bureau
 $ sudo apt install mono-runtime
[sudo] password for jenrem:        
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
mono-runtime est déjà la plus récente version disponible.
mono-runtime passé en « installé manuellement ».
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libarchive-zip-perl libasn1-8-heimdal libberkeleydb-perl libclamav6 libconvert-binhex-perl libconvert-tnef-perl libconvert-uulib-perl libgssapi3-heimdal libhcrypto4-heimdal
  libheimbase1-heimdal libheimntlm0-heimdal libhx509-5-heimdal libio-multiplex-perl libkrb5-26-heimdal libmime-tools-perl libnet-cidr-perl libnet-server-perl libroken18-heimdal
  libunix-syslog-perl libwind0-heimdal
Veuillez utiliser « apt-get autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
 jenrem@handylinux ~/Bureau
 $ chmod +x "ELIE 6 ZIP.exe"
chmod: impossible d'accéder à « ELIE 6 ZIP.exe »: Aucun fichier ou dossier de ce type
 jenrem@handylinux ~/Bureau
 $ ./ELIE\ 6\ ZIP.exe
bash: ./ELIE 6 ZIP.exe: Aucun fichier ou dossier de ce type
 jenrem@handylinux ~/Bureau
 


Je ne suis pas sûr d'avoir utilisé la bonne méthode ( confus )
Mon fichier et dans un dossier " ELIE" dans télécharger
dois je ouvrir un terminal dans le dossier " ELIE "

Dernière modification par jiherbay (15-01-2017 20:45:39)

Hors ligne

#7 15-01-2017 20:45:22

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [ résolu ]installation logiciel ELIE6

Tu as installé sur quel système ce matin ?
Pour faire les deux commandes, ouvre un terminal dans le dossier qui contient ton fichier .exe

Hors ligne

#8 15-01-2017 20:50:32

jiherbay
Membre
Lieu : sudouest33 sur le A de Atlanti
Distrib. : HL 2.5.x - leap 42.1 - stretch 9
(G)UI : Xfce // KDE
Inscription : 12-07-2016

Re : [ résolu ]installation logiciel ELIE6

ce matin j'ai choisi la simplicité mrgreen.gif
win 10 , je l'ai encore uniquement pour ce logiciel
Je n'avais pas lu ton post jusqu'au bout
je retourne  dans le dossier

Dernière modification par jiherbay (15-01-2017 20:52:41)

Hors ligne

#9 15-01-2017 21:01:50

jiherbay
Membre
Lieu : sudouest33 sur le A de Atlanti
Distrib. : HL 2.5.x - leap 42.1 - stretch 9
(G)UI : Xfce // KDE
Inscription : 12-07-2016

Re : [ résolu ]installation logiciel ELIE6

désolé Chalu , même résultat

Debian + HandyLinux-2 - prenez le contrôle de votre système
 jenrem@handylinux ~/Téléchargements/ELIE
 $ sudo apt install mono-runtime
[sudo] password for jenrem:          
Sorry, try again.
[sudo] password for jenrem:        
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
mono-runtime est déjà la plus récente version disponible.
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libarchive-zip-perl libasn1-8-heimdal libberkeleydb-perl libclamav6 libconvert-binhex-perl libconvert-tnef-perl libconvert-uulib-perl
  libgssapi3-heimdal libhcrypto4-heimdal libheimbase1-heimdal libheimntlm0-heimdal libhx509-5-heimdal libio-multiplex-perl libkrb5-26-heimdal
  libmime-tools-perl libnet-cidr-perl libnet-server-perl libroken18-heimdal libunix-syslog-perl libwind0-heimdal
Veuillez utiliser « apt-get autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
 jenrem@handylinux ~/Téléchargements/ELIE
 $ chmod +x "ELIE 6 ZIP.exe"
chmod: impossible d'accéder à « ELIE 6 ZIP.exe »: Aucun fichier ou dossier de ce type
 jenrem@handylinux ~/Téléchargements/ELIE
 $ ./ELIE\ 6\ ZIP.exe
bash: ./ELIE 6 ZIP.exe: Aucun fichier ou dossier de ce type
 jenrem@handylinux ~/Téléchargements/ELIE
 $
 


Chalu , en temps que modo tu n'as plu accès au forum Handy , sinon tu recherches  les posts de jiherbay , tu devrais trouver quelques choses sur le sujet . Après , rien ne dit que la derniere V de ELIE  s'installe de la même façon  que l'autre qui devait être une 4.x

Hors ligne

#10 15-01-2017 21:06:02

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [ résolu ]installation logiciel ELIE6

Inutile de vouloir installer mono-runtime il l'est déjà
Comment se nomme ton fichier .exe précisément ? Visiblement ce n'est pas ELIE 6 ZIP.exe
Je n'etais plus modo sur le forum de HL depuis juillet suite aux problèmes rencontrés ... je vais voir mais à mon avis tu avais installé avec wine ou playonlinux.
Édit : non je n'ai pas vu ce logiciel dans un de tes fils

Hors ligne

#11 15-01-2017 21:22:54

jiherbay
Membre
Lieu : sudouest33 sur le A de Atlanti
Distrib. : HL 2.5.x - leap 42.1 - stretch 9
(G)UI : Xfce // KDE
Inscription : 12-07-2016

Re : [ résolu ]installation logiciel ELIE6

ne me parles pas de ces gens  à l'ego démesuré et incapable qui ont saboté puis sabordé cette merveilleuse distrib qu'était HANDY , je n'utiliserai pas d'autres qualificatifs pour eux , on m'a appris la politesse à coup de pompe dans le derche , et quoi qu'on en dise , une mauvaise éducation ça reste


/home/jenrem/Téléchargements/ELIE/ElieZip.exe
je pense que le problème vient de la syntaxe , ElieZip.exe à la place de ELIE ZIP
je vais rééssayer

Hors ligne

#12 15-01-2017 21:27:18

jiherbay
Membre
Lieu : sudouest33 sur le A de Atlanti
Distrib. : HL 2.5.x - leap 42.1 - stretch 9
(G)UI : Xfce // KDE
Inscription : 12-07-2016

Re : [ résolu ]installation logiciel ELIE6

suite , avant d'aller manger

jenrem@handylinux ~/Téléchargements/ELIE
 $ chmod +x "ElieZip.ex"
chmod: impossible d'accéder à « ElieZip.ex »: Aucun fichier ou dossier de ce type
 


  petite question , est ce que c'est + ( x)  ou (* )

sur la V1et la V2 ?
bon appe

Dernière modification par jiherbay (15-01-2017 21:30:27)

Hors ligne

#13 15-01-2017 21:42:05

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [ résolu ]installation logiciel ELIE6

Tu as oublié le dernier e de exe
chmod +x pour rendre exécutable. Regarde dans le wiki pour en savoir plus :https://debian-facile.org/doc:systeme:chmod
Je ne maîtrise pas l'affaire tongue

Hors ligne

#14 15-01-2017 23:58:13

jiherbay
Membre
Lieu : sudouest33 sur le A de Atlanti
Distrib. : HL 2.5.x - leap 42.1 - stretch 9
(G)UI : Xfce // KDE
Inscription : 12-07-2016

Re : [ résolu ]installation logiciel ELIE6

781k8yCBq.shot-170115225005.png
Tu as l'œil du Maître
Debian + HandyLinux-2 - prenez le contrôle de votre système
jenrem@handylinux ~/Téléchargements/ELIE
$

chmod +x "ElieZip.exe"


jenrem@handylinux ~/Téléchargements/ELIE
$

./ElieZip.exe


bash: ./ElieZip.exe: cannot execute binary file: Erreur de format pour exec()



là j'ai tenté un peu n'importe quoi
après avoir changé les droits d'accès , c'est ma 2de ligne qui n'a pas la bonne syntaxe  ,les slashs et antislashs
jenrem@handylinux ~/Téléchargements/ELIE
$

ls -l ElieZip.exe


-rwxr-xr-x 1 jenrem jenrem 79221265 janv. 15 15:08 ElieZip.exe
 jenrem@handylinux ~/Téléchargements/ELIE



Edit à toto :
Dans les balises de la Commande user - séparés les commandes user de leur retour afin que tout cela soit plus lisible.

Dernière modification par jiherbay (16-01-2017 00:02:37)

Hors ligne

#15 16-01-2017 08:25:19

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [ résolu ]installation logiciel ELIE6

Et si tu fais un clic droit et ouvrir avec mono-runtime, ça donne quoi ?

J'aurais fait la même commande que toi ./ElieZip.exe par rapport à ce qu'indiquait captnfab plus haut. Les antishlash sont pour les espaces qu'il avait je pense.
Je tenterais, si ça ne marche pas, une installation en utilisant wine ou playonlinux en cochant la case.

Hors ligne

#16 16-01-2017 14:28:05

jiherbay
Membre
Lieu : sudouest33 sur le A de Atlanti
Distrib. : HL 2.5.x - leap 42.1 - stretch 9
(G)UI : Xfce // KDE
Inscription : 12-07-2016

Re : [ résolu ]installation logiciel ELIE6

Bonjour Chalu
J'ai essayé avec mono , il y a 2 choix lorsque tu cliques à droite sur l'icône  : 1 - " ouvrir avec Mono Runtime ( terminal )"  =782hrUWTp.shot-170116131347.s.png
2d  " ouvrir avec Mono Runtime "  et là , rien ne se passe

je pense que le 1er choix avec terminal est ,ce que m'a fait faire captnfab
Est ce qu il est possible de décompresser un fichier ZIP avec linux , et ensuite est il possible de faire une installation ?
Si il n'est pas possible d faire autrement ,je suivrai ton lien vers POL , ou un autre émulateur win , et là quel serait le " meilleur " ?scratchhead.gif
Bonne journée

Hors ligne

#17 18-01-2017 14:56:39

jiherbay
Membre
Lieu : sudouest33 sur le A de Atlanti
Distrib. : HL 2.5.x - leap 42.1 - stretch 9
(G)UI : Xfce // KDE
Inscription : 12-07-2016

Re : [ résolu ]installation logiciel ELIE6

Bonjour à tous

En lisant le tuto de POL , dans les lignes de commande , il est resté " wheezy " , je suppose que je remplace " wheezy" par " jessie " , est ce suffisant ou y a t-il un N° de version à ajouter ?
Bonne journée

Hors ligne

#18 18-01-2017 22:08:15

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [ résolu ]installation logiciel ELIE6

Bonsoir,
Oui je viens de vérifier, il y a bien maintenant une version jessie donc ça devrait passer j'imagine avec :

wget -q "http://deb.playonlinux.com/public.gpg" -O- | sudo apt-key add -


wget http://deb.playonlinux.com/playonlinux_jessie.list -O /etc/apt/sources.list.d/playonlinux.list


apt-get update


apt-get install playonlinux wine ttf-mscorefonts-installer p7zip-full p7zip-rar unzip unrar unace-nonfree xterm lhasa

Hors ligne

#19 19-01-2017 22:57:44

jiherbay
Membre
Lieu : sudouest33 sur le A de Atlanti
Distrib. : HL 2.5.x - leap 42.1 - stretch 9
(G)UI : Xfce // KDE
Inscription : 12-07-2016

Re : [ résolu ]installation logiciel ELIE6

Bonsoir Chalu
Je n'ai pas lu ton message hier , je viens de le voir , je n'ai pas le temps d'essayer ta manip ce soir , je m'y colle demain et je te rends compte du résultat
Merci
Bonne soirée

Hors ligne

#20 19-01-2017 23:00:54

Haricophile
Adhérent(e)
Lieu : Pignans (Var)
Distrib. : SID
Noyau : 4.0.0-1-amd64
(G)UI : Mate / i3 selon...
Inscription : 14-09-2009

Re : [ résolu ]installation logiciel ELIE6

Il me semble avoir vu passer un logiciel de généalogie libre et nouveau aussi, ou avec une nouvelle version je ne sais plus.

« Nous vivons dans un monde ou ceux qui gagnent 100000€ par mois persuadent ceux qui gagnent 1800€ par mois que tout va mal à cause de ceux qui gagnent 535€ par mois. Et ça marche ! » - Felix Lobo

Hors ligne

#21 29-01-2017 00:23:21

jiherbay
Membre
Lieu : sudouest33 sur le A de Atlanti
Distrib. : HL 2.5.x - leap 42.1 - stretch 9
(G)UI : Xfce // KDE
Inscription : 12-07-2016

Re : [ résolu ]installation logiciel ELIE6

Bonsoir Chalu , Haricophile
Pour commencer je vous présente mes excuses d'avoir tant tardé avant de répondre ops.gif
Haricophile , merci pour tes infos , mais j'ai déjà essayé d'en utiliser un , mais  c'est un peu usine à gaz , et de plus ,je serais obligé de reprendre plus de 1000fiches une à une , et là j'ai pas trop envie

Chalu , je viens de suivre ton tuto pour installer POL , visiblement ça a fonctionné , mais je ne le trouve pas dans la liste des applis  ( je n'ai pas redémarré l'ordi après l'installation ).
J'ai donc essayé de le lancer depuis une console et voila le résultat obtenu ci dessous
78m64dFRV.shot-170128232420.s.png
Si tu as le temps de me donner quelques explications supplémentaires , je t'en remercie


edit :aprés lecture du texte en Anglais , je pense que la version graphique n'est pas installée !!!  ,me trompe-je ??

Dernière modification par jiherbay (29-01-2017 00:28:17)

Hors ligne

#22 29-01-2017 08:26:47

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [ résolu ]installation logiciel ELIE6

Bonjour Jiherbay smile
Tu retrouves Playonlinux dans la catégorie jeux de la liste des applications.
La fenêtre en anglais te demande si tu acceptes d'aider à la création d'une liste de compatibilité avec playonlinux et que si tu cliques sur yes oui tu enverras comme informations le modèle de ta carte graphique, le Système du PC et si les drivers graphics sont installés ou pas.
Il est bien installé et devrait se lancer après avoir répondu à cette question.

Dernière modification par chalu (29-01-2017 08:30:10)

Hors ligne

#23 29-01-2017 15:39:15

jiherbay
Membre
Lieu : sudouest33 sur le A de Atlanti
Distrib. : HL 2.5.x - leap 42.1 - stretch 9
(G)UI : Xfce // KDE
Inscription : 12-07-2016

Re : [ résolu ]installation logiciel ELIE6

Bonjour Chalu
Merci , je vais de ce pas aller voir dans jeux , je crois que c'est la seule rubrique que je n'ai pas consultée
je reviens sitôt l'avoir trouvé et lancé  pour te confirmer tout cela , ensuite je retournerai sur le tuto de dYp pour finaliser l'installation
Bonne journée

Edith à Marcel  le temps que j'y pense , et avant de l'oublier , est ce que quelqu'un du staff pourrait changer la ligne de commande du tuto de Dyp , tu sais celle où il est encore question de " Wheezy " ou de mettre la tienne en plus en signalant les deux versions
Merci

Dernière modification par jiherbay (29-01-2017 15:47:04)

Hors ligne

#24 29-01-2017 21:00:00

jiherbay
Membre
Lieu : sudouest33 sur le A de Atlanti
Distrib. : HL 2.5.x - leap 42.1 - stretch 9
(G)UI : Xfce // KDE
Inscription : 12-07-2016

Re : [ résolu ]installation logiciel ELIE6

Bonsoir
L'installation de POL c'st donc bien passée , et je l'ai trouvé comme le disait Chalu dans la rubrique jeux
J'ai donc suivi le tuto de Dyp , et fait l'installation de ELIE6 , il faut faire quelques installation supplémentaires ,wine et autre chose , mais il suffit de cliquer sur install ou suivant et ça roule
C'est à la mise en route que cela s'est un peu compliqué , je pense que  ELIE ne tourne que sous 64Bytes et POL sous 32 . C'est ce que j'ai cru comprendre à la lecture des fenêtres ci dessous
78nsoE0ES.shot-170129195218.s.png
78nsrjNMP.shot-170129195256.s.png

je crains que cela ne soit un râpé , sauf si il y a d'autres émulateurs windows , de plus une fenêtre disait ,en gros , impossible d'envoyer un rapport  à POL
Donc peu d'espoir que le probléme soit résolu , sauf à installer une vieille version d'ELIE , mais  les fichiers ne sont pas rétro portables !!
Bonne soirée
Si il n'y a pas d'autres possibilités , je reviendrai fermer le fil

Hors ligne

#25 03-02-2017 01:13:59

jiherbay
Membre
Lieu : sudouest33 sur le A de Atlanti
Distrib. : HL 2.5.x - leap 42.1 - stretch 9
(G)UI : Xfce // KDE
Inscription : 12-07-2016

Re : [ résolu ]installation logiciel ELIE6

Bonsoir à toutes et tous

Ce matin j'avais des MàJ , entre autre pour POL , donc après les avoir faites, je viens de supprimer et réinstaller  ELIE6 .Mais à la mise en route , j'ai le même message d'erreur
Je vais mettre en pause ou attente d'une version 64b de POL
Merci à tous pour votre aide
Bonne soirée

Hors ligne

Pied de page des forums